# Copyright © 2013, 2015 Nick Bowler
# License GPLv3+: GNU General Public License version 3 or later.
# There is NO WARRANTY, to the extent permitted by law.

EAPI=5

inherit games

DESCRIPTION="Master of Orion 2 Data Files"
SRC_URI="gog_master_of_orion_2_2.0.0.5.sh"

LICENSE="GOG-EULA"
SLOT="0"
KEYWORDS="~amd64"

RESTRICT="fetch"

DEPEND="app-arch/unzip"

src_unpack() {
	( unzip -LLqd $P "$DISTDIR/$A" || exit $(($?>1)) ) ||
		die "Failed to extract $A"
}

src_install() {
	insinto "$GAMES_DATADIR/$PN"
	doins data/noarch/data/*.lbx

	prepgamesdirs
}
